### A free/open-source library for quantitative finance

Classes
ql/experimental/commodities/energyvanillaswap.hpp File Reference

Vanilla energy swap. More...

`#include <ql/experimental/commodities/energyswap.hpp>`
`#include <ql/experimental/commodities/commodityindex.hpp>`
`#include <ql/termstructures/yieldtermstructure.hpp>`
Include dependency graph for energyvanillaswap.hpp:

## Classes

class | EnergyVanillaSwap
| Vanilla energy swap. More...

## Detailed Description

Vanilla energy swap.